using System;
using System.IO;
#if !PocketPC
using System.Runtime.Serialization;
#endif

namespace GeoFramework.Gps.Emulators
{
	/// <summary>Represents an error which occurs while simulating GPS data.</summary>
#if !PocketPC
    [Serializable()]
#endif
    public sealed class EmulatorException : IOException
	{
		public EmulatorException() : base()
		{
		}
	
		public EmulatorException(string message) : base(message)
		{
		}
	
		public EmulatorException(string message, Exception innerException) : base(message, innerException)
		{
		}

#if !PocketPC
        private EmulatorException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        { }
#endif
	}
}
