using GeoFramework;

namespace GPS.NET_Example
{
    partial class Form1
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            /* GPS.NET's interpreter classes use multithreading in order to deliver
             * the best performance.  On Compact Framework 1.0, however, threads
             * are not shut down automatically when an application exits.  So, to
             * ensure that the application exits completely when we want it to, a
             * call is made to the "Dispose" method of the interpreter.  This method
             * will shut down any running threads so that the application can exit.
             */

            Interpreter.Dispose();

            /* If GPS device detection is currently running, it must
             * be cancelled.  If it is not running, calling this method has no effect.
             */

            GeoFramework.IO.Devices.CancelDetection();

            /* In well-written .NET applications, the Dispose method will be called
             * on any object that supports it.  Since the Satellite Viewer, Compass,
             * and other user controls also use multithreading to repaint them, it is
             * important on the Compact Framework to call the Dispose method in order
             * to shut them down.
             */

            satelliteSignalBar1.Dispose();
            satelliteViewer1.Dispose();
            compass1.Dispose();
            altimeter1.Dispose();
            speedometer1.Dispose();

            // Continue disposing of the form itself
            base.Dispose(disposing);
        }


        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Form1));
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.DevicesTab = new System.Windows.Forms.TabPage();
            this.UseAnyAvailableDeviceRadioButton = new System.Windows.Forms.RadioButton();
            this.label7 = new System.Windows.Forms.Label();
            this.RawDataListBox = new System.Windows.Forms.ListBox();
            this.StopButton = new System.Windows.Forms.Button();
            this.StartButton = new System.Windows.Forms.Button();
            this.SearchButton = new System.Windows.Forms.Button();
            this.UseEmulatorRadioButton = new System.Windows.Forms.RadioButton();
            this.UseDeviceRadioButton = new System.Windows.Forms.RadioButton();
            this.DevicesListView = new System.Windows.Forms.ListView();
            this.DeviceColumn = new System.Windows.Forms.ColumnHeader();
            this.LocationColumn = new System.Windows.Forms.ColumnHeader();
            this.ProtocolColumn = new System.Windows.Forms.ColumnHeader();
            this.DeviceImages = new System.Windows.Forms.ImageList();
            this.LocationTab = new System.Windows.Forms.TabPage();
            this.LocalTime = new System.Windows.Forms.Label();
            this.LocalTimeLabel = new System.Windows.Forms.Label();
            this.SatelliteTime = new System.Windows.Forms.Label();
            this.SatelliteTimeLabel = new System.Windows.Forms.Label();
            this.Direction = new System.Windows.Forms.Label();
            this.DirectionLabel = new System.Windows.Forms.Label();
            this.FixQuality = new System.Windows.Forms.Label();
            this.FixQualityLabel = new System.Windows.Forms.Label();
            this.FixMode = new System.Windows.Forms.Label();
            this.Bearing = new System.Windows.Forms.Label();
            this.BearingLabel = new System.Windows.Forms.Label();
            this.FixStatus = new System.Windows.Forms.Label();
            this.Speed = new System.Windows.Forms.Label();
            this.Altitude = new System.Windows.Forms.Label();
            this.Longitude = new System.Windows.Forms.Label();
            this.Latitude = new System.Windows.Forms.Label();
            this.FixModeLabel = new System.Windows.Forms.Label();
            this.FixStatusLabel = new System.Windows.Forms.Label();
            this.SpeedLabel = new System.Windows.Forms.Label();
            this.AltitudeLabel = new System.Windows.Forms.Label();
            this.LongitudeLabel = new System.Windows.Forms.Label();
            this.LatitudeLabel = new System.Windows.Forms.Label();
            this.SatellitesTab = new System.Windows.Forms.TabPage();
            this.speedometer1 = new GeoFramework.Controls.Speedometer();
            this.altimeter1 = new GeoFramework.Controls.Altimeter();
            this.compass1 = new GeoFramework.Controls.Compass();
            this.satelliteSignalBar1 = new GeoFramework.Controls.SatelliteSignalBar();
            this.satelliteViewer1 = new GeoFramework.Controls.SatelliteViewer();
            this.PrecisionTab = new System.Windows.Forms.TabPage();
            this.VdopStatusLabel = new System.Windows.Forms.Label();
            this.HdopStatusLabel = new System.Windows.Forms.Label();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.label3 = new System.Windows.Forms.Label();
            this.CurrentVdopTrackBar = new System.Windows.Forms.TrackBar();
            this.label4 = new System.Windows.Forms.Label();
            this.label5 = new System.Windows.Forms.Label();
            this.label6 = new System.Windows.Forms.Label();
            this.CurrentHdopTrackBar = new System.Windows.Forms.TrackBar();
            this.DescriptionLabel = new System.Windows.Forms.Label();
            this.MaximumVdopLabel = new System.Windows.Forms.Label();
            this.MinimumVdopLabel = new System.Windows.Forms.Label();
            this.VdopLabel = new System.Windows.Forms.Label();
            this.MaximumVdopTrackBar = new System.Windows.Forms.TrackBar();
            this.MaximumHdopLabel = new System.Windows.Forms.Label();
            this.MinimumHdopLabel = new System.Windows.Forms.Label();
            this.HdopLabel = new System.Windows.Forms.Label();
            this.MaximumHdopTrackBar = new System.Windows.Forms.TrackBar();
            this.StatusBar1 = new System.Windows.Forms.StatusBar();
            this.LocalTimeTimer = new System.Windows.Forms.Timer();
            this.Interpreter = new GeoFramework.Gps.Nmea.NmeaInterpreter();
            this.tabControl1.SuspendLayout();
            this.DevicesTab.SuspendLayout();
            this.LocationTab.SuspendLayout();
            this.SatellitesTab.SuspendLayout();
            this.PrecisionTab.SuspendLayout();
            this.SuspendLayout();
            // 
            // tabControl1
            // 
            this.tabControl1.Controls.Add(this.DevicesTab);
            this.tabControl1.Controls.Add(this.LocationTab);
            this.tabControl1.Controls.Add(this.SatellitesTab);
            this.tabControl1.Controls.Add(this.PrecisionTab);
            this.tabControl1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tabControl1.Location = new System.Drawing.Point(0, 0);
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            this.tabControl1.Size = new System.Drawing.Size(240, 272);
            this.tabControl1.TabIndex = 0;
            // 
            // DevicesTab
            // 
            this.DevicesTab.Controls.Add(this.UseAnyAvailableDeviceRadioButton);
            this.DevicesTab.Controls.Add(this.label7);
            this.DevicesTab.Controls.Add(this.RawDataListBox);
            this.DevicesTab.Controls.Add(this.StopButton);
            this.DevicesTab.Controls.Add(this.StartButton);
            this.DevicesTab.Controls.Add(this.SearchButton);
            this.DevicesTab.Controls.Add(this.UseEmulatorRadioButton);
            this.DevicesTab.Controls.Add(this.UseDeviceRadioButton);
            this.DevicesTab.Controls.Add(this.DevicesListView);
            this.DevicesTab.Location = new System.Drawing.Point(0, 0);
            this.DevicesTab.Name = "DevicesTab";
            this.DevicesTab.Size = new System.Drawing.Size(240, 249);
            this.DevicesTab.Text = "Devices";
            // 
            // UseAnyAvailableDeviceRadioButton
            // 
            this.UseAnyAvailableDeviceRadioButton.Checked = true;
            this.UseAnyAvailableDeviceRadioButton.Location = new System.Drawing.Point(7, 26);
            this.UseAnyAvailableDeviceRadioButton.Name = "UseAnyAvailableDeviceRadioButton";
            this.UseAnyAvailableDeviceRadioButton.Size = new System.Drawing.Size(226, 20);
            this.UseAnyAvailableDeviceRadioButton.TabIndex = 11;
            this.UseAnyAvailableDeviceRadioButton.TabStop = false;
            this.UseAnyAvailableDeviceRadioButton.Text = "Use any available GPS device.";
            this.UseAnyAvailableDeviceRadioButton.CheckedChanged += new System.EventHandler(this.UseAnyAvailableDeviceRadioButton_CheckedChanged);
            // 
            // label7
            // 
            this.label7.Location = new System.Drawing.Point(7, 164);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(136, 13);
            this.label7.Text = "Raw Data from Device:";
            // 
            // RawDataListBox
            // 
            this.RawDataListBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.RawDataListBox.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Regular);
            this.RawDataListBox.Location = new System.Drawing.Point(7, 180);
            this.RawDataListBox.Name = "RawDataListBox";
            this.RawDataListBox.Size = new System.Drawing.Size(226, 68);
            this.RawDataListBox.TabIndex = 9;
            // 
            // StopButton
            // 
            this.StopButton.Enabled = false;
            this.StopButton.Location = new System.Drawing.Point(170, 133);
            this.StopButton.Name = "StopButton";
            this.StopButton.Size = new System.Drawing.Size(63, 20);
            this.StopButton.TabIndex = 7;
            this.StopButton.Text = "Stop";
            this.StopButton.Click += new System.EventHandler(this.StopButton_Click);
            // 
            // StartButton
            // 
            this.StartButton.Location = new System.Drawing.Point(98, 133);
            this.StartButton.Name = "StartButton";
            this.StartButton.Size = new System.Drawing.Size(66, 20);
            this.StartButton.TabIndex = 6;
            this.StartButton.Text = "Start";
            this.StartButton.Click += new System.EventHandler(this.StartButton_Click);
            // 
            // SearchButton
            // 
            this.SearchButton.Location = new System.Drawing.Point(18, 133);
            this.SearchButton.Name = "SearchButton";
            this.SearchButton.Size = new System.Drawing.Size(74, 20);
            this.SearchButton.TabIndex = 5;
            this.SearchButton.Text = "Search";
            this.SearchButton.Click += new System.EventHandler(this.SearchButton_Click);
            // 
            // UseEmulatorRadioButton
            // 
            this.UseEmulatorRadioButton.Location = new System.Drawing.Point(7, 7);
            this.UseEmulatorRadioButton.Name = "UseEmulatorRadioButton";
            this.UseEmulatorRadioButton.Size = new System.Drawing.Size(204, 20);
            this.UseEmulatorRadioButton.TabIndex = 0;
            this.UseEmulatorRadioButton.TabStop = false;
            this.UseEmulatorRadioButton.Text = "Use a GPS device emulator.";
            this.UseEmulatorRadioButton.CheckedChanged += new System.EventHandler(this.UseEmulatorRadioButton_CheckedChanged);
            // 
            // UseDeviceRadioButton
            // 
            this.UseDeviceRadioButton.Location = new System.Drawing.Point(7, 45);
            this.UseDeviceRadioButton.Name = "UseDeviceRadioButton";
            this.UseDeviceRadioButton.Size = new System.Drawing.Size(204, 20);
            this.UseDeviceRadioButton.TabIndex = 1;
            this.UseDeviceRadioButton.TabStop = false;
            this.UseDeviceRadioButton.Text = "Use a specific GPS device:";
            this.UseDeviceRadioButton.CheckedChanged += new System.EventHandler(this.UseDeviceRadioButton_CheckedChanged);
            // 
            // DevicesListView
            // 
            this.DevicesListView.Columns.Add(this.DeviceColumn);
            this.DevicesListView.Columns.Add(this.LocationColumn);
            this.DevicesListView.Columns.Add(this.ProtocolColumn);
            this.DevicesListView.FullRowSelect = true;
            this.DevicesListView.LargeImageList = this.DeviceImages;
            this.DevicesListView.Location = new System.Drawing.Point(18, 72);
            this.DevicesListView.Name = "DevicesListView";
            this.DevicesListView.Size = new System.Drawing.Size(215, 55);
            this.DevicesListView.SmallImageList = this.DeviceImages;
            this.DevicesListView.TabIndex = 4;
            this.DevicesListView.View = System.Windows.Forms.View.SmallIcon;
            this.DevicesListView.SelectedIndexChanged += new System.EventHandler(this.DevicesListView_SelectedIndexChanged);
            // 
            // DeviceColumn
            // 
            this.DeviceColumn.Text = "Device";
            this.DeviceColumn.Width = 76;
            // 
            // LocationColumn
            // 
            this.LocationColumn.Text = "Location";
            this.LocationColumn.Width = 68;
            // 
            // ProtocolColumn
            // 
            this.ProtocolColumn.Text = "Protocol";
            this.ProtocolColumn.Width = 68;
            // 
            // DeviceImages
            // 
            this.DeviceImages.ImageSize = new System.Drawing.Size(32, 32);
            this.DeviceImages.Images.Clear();
            this.DeviceImages.Images.Add(((System.Drawing.Image)(resources.GetObject("resource"))));
            // 
            // LocationTab
            // 
            this.LocationTab.Controls.Add(this.LocalTime);
            this.LocationTab.Controls.Add(this.LocalTimeLabel);
            this.LocationTab.Controls.Add(this.SatelliteTime);
            this.LocationTab.Controls.Add(this.SatelliteTimeLabel);
            this.LocationTab.Controls.Add(this.Direction);
            this.LocationTab.Controls.Add(this.DirectionLabel);
            this.LocationTab.Controls.Add(this.FixQuality);
            this.LocationTab.Controls.Add(this.FixQualityLabel);
            this.LocationTab.Controls.Add(this.FixMode);
            this.LocationTab.Controls.Add(this.Bearing);
            this.LocationTab.Controls.Add(this.BearingLabel);
            this.LocationTab.Controls.Add(this.FixStatus);
            this.LocationTab.Controls.Add(this.Speed);
            this.LocationTab.Controls.Add(this.Altitude);
            this.LocationTab.Controls.Add(this.Longitude);
            this.LocationTab.Controls.Add(this.Latitude);
            this.LocationTab.Controls.Add(this.FixModeLabel);
            this.LocationTab.Controls.Add(this.FixStatusLabel);
            this.LocationTab.Controls.Add(this.SpeedLabel);
            this.LocationTab.Controls.Add(this.AltitudeLabel);
            this.LocationTab.Controls.Add(this.LongitudeLabel);
            this.LocationTab.Controls.Add(this.LatitudeLabel);
            this.LocationTab.Location = new System.Drawing.Point(0, 0);
            this.LocationTab.Name = "LocationTab";
            this.LocationTab.Size = new System.Drawing.Size(232, 246);
            this.LocationTab.Text = "Location";
            // 
            // LocalTime
            // 
            this.LocalTime.Location = new System.Drawing.Point(99, 204);
            this.LocalTime.Name = "LocalTime";
            this.LocalTime.Size = new System.Drawing.Size(134, 20);
            this.LocalTime.Text = "...";
            // 
            // LocalTimeLabel
            // 
            this.LocalTimeLabel.Location = new System.Drawing.Point(8, 204);
            this.LocalTimeLabel.Name = "LocalTimeLabel";
            this.LocalTimeLabel.Size = new System.Drawing.Size(85, 20);
            this.LocalTimeLabel.Text = "Local Time:";
            // 
            // SatelliteTime
            // 
            this.SatelliteTime.Location = new System.Drawing.Point(99, 183);
            this.SatelliteTime.Name = "SatelliteTime";
            this.SatelliteTime.Size = new System.Drawing.Size(134, 20);
            this.SatelliteTime.Text = "...";
            // 
            // SatelliteTimeLabel
            // 
            this.SatelliteTimeLabel.Location = new System.Drawing.Point(8, 183);
            this.SatelliteTimeLabel.Name = "SatelliteTimeLabel";
            this.SatelliteTimeLabel.Size = new System.Drawing.Size(85, 20);
            this.SatelliteTimeLabel.Text = "Satellite Time:";
            // 
            // Direction
            // 
            this.Direction.Location = new System.Drawing.Point(99, 103);
            this.Direction.Name = "Direction";
            this.Direction.Size = new System.Drawing.Size(134, 20);
            this.Direction.Text = "...";
            // 
            // DirectionLabel
            // 
            this.DirectionLabel.Location = new System.Drawing.Point(8, 104);
            this.DirectionLabel.Name = "DirectionLabel";
            this.DirectionLabel.Size = new System.Drawing.Size(85, 20);
            this.DirectionLabel.Text = "Direction:";
            // 
            // FixQuality
            // 
            this.FixQuality.Location = new System.Drawing.Point(99, 163);
            this.FixQuality.Name = "FixQuality";
            this.FixQuality.Size = new System.Drawing.Size(134, 20);
            this.FixQuality.Text = "...";
            // 
            // FixQualityLabel
            // 
            this.FixQualityLabel.Location = new System.Drawing.Point(8, 163);
            this.FixQualityLabel.Name = "FixQualityLabel";
            this.FixQualityLabel.Size = new System.Drawing.Size(85, 20);
            this.FixQualityLabel.Text = "Fix Quality:";
            // 
            // FixMode
            // 
            this.FixMode.Location = new System.Drawing.Point(99, 143);
            this.FixMode.Name = "FixMode";
            this.FixMode.Size = new System.Drawing.Size(134, 20);
            this.FixMode.Text = "...";
            // 
            // Bearing
            // 
            this.Bearing.Location = new System.Drawing.Point(99, 83);
            this.Bearing.Name = "Bearing";
            this.Bearing.Size = new System.Drawing.Size(134, 20);
            this.Bearing.Text = "...";
            // 
            // BearingLabel
            // 
            this.BearingLabel.Location = new System.Drawing.Point(8, 84);
            this.BearingLabel.Name = "BearingLabel";
            this.BearingLabel.Size = new System.Drawing.Size(85, 20);
            this.BearingLabel.Text = "Bearing:";
            // 
            // FixStatus
            // 
            this.FixStatus.Location = new System.Drawing.Point(99, 123);
            this.FixStatus.Name = "FixStatus";
            this.FixStatus.Size = new System.Drawing.Size(134, 20);
            this.FixStatus.Text = "...";
            // 
            // Speed
            // 
            this.Speed.Location = new System.Drawing.Point(99, 63);
            this.Speed.Name = "Speed";
            this.Speed.Size = new System.Drawing.Size(134, 20);
            this.Speed.Text = "...";
            // 
            // Altitude
            // 
            this.Altitude.Location = new System.Drawing.Point(99, 44);
            this.Altitude.Name = "Altitude";
            this.Altitude.Size = new System.Drawing.Size(134, 20);
            this.Altitude.Text = "...";
            // 
            // Longitude
            // 
            this.Longitude.Location = new System.Drawing.Point(99, 24);
            this.Longitude.Name = "Longitude";
            this.Longitude.Size = new System.Drawing.Size(134, 20);
            this.Longitude.Text = "...";
            // 
            // Latitude
            // 
            this.Latitude.Location = new System.Drawing.Point(99, 4);
            this.Latitude.Name = "Latitude";
            this.Latitude.Size = new System.Drawing.Size(134, 20);
            this.Latitude.Text = "...";
            // 
            // FixModeLabel
            // 
            this.FixModeLabel.Location = new System.Drawing.Point(8, 144);
            this.FixModeLabel.Name = "FixModeLabel";
            this.FixModeLabel.Size = new System.Drawing.Size(85, 20);
            this.FixModeLabel.Text = "Fix Mode:";
            // 
            // FixStatusLabel
            // 
            this.FixStatusLabel.Location = new System.Drawing.Point(8, 124);
            this.FixStatusLabel.Name = "FixStatusLabel";
            this.FixStatusLabel.Size = new System.Drawing.Size(85, 20);
            this.FixStatusLabel.Text = "Fix Status:";
            // 
            // SpeedLabel
            // 
            this.SpeedLabel.Location = new System.Drawing.Point(8, 64);
            this.SpeedLabel.Name = "SpeedLabel";
            this.SpeedLabel.Size = new System.Drawing.Size(85, 20);
            this.SpeedLabel.Text = "Speed:";
            // 
            // AltitudeLabel
            // 
            this.AltitudeLabel.Location = new System.Drawing.Point(8, 44);
            this.AltitudeLabel.Name = "AltitudeLabel";
            this.AltitudeLabel.Size = new System.Drawing.Size(85, 20);
            this.AltitudeLabel.Text = "Altitude:";
            // 
            // LongitudeLabel
            // 
            this.LongitudeLabel.Location = new System.Drawing.Point(8, 24);
            this.LongitudeLabel.Name = "LongitudeLabel";
            this.LongitudeLabel.Size = new System.Drawing.Size(85, 20);
            this.LongitudeLabel.Text = "Longitude:";
            // 
            // LatitudeLabel
            // 
            this.LatitudeLabel.Location = new System.Drawing.Point(8, 4);
            this.LatitudeLabel.Name = "LatitudeLabel";
            this.LatitudeLabel.Size = new System.Drawing.Size(85, 20);
            this.LatitudeLabel.Text = "Latitude:";
            // 
            // SatellitesTab
            // 
            this.SatellitesTab.Controls.Add(this.speedometer1);
            this.SatellitesTab.Controls.Add(this.altimeter1);
            this.SatellitesTab.Controls.Add(this.compass1);
            this.SatellitesTab.Controls.Add(this.satelliteSignalBar1);
            this.SatellitesTab.Controls.Add(this.satelliteViewer1);
            this.SatellitesTab.Location = new System.Drawing.Point(0, 0);
            this.SatellitesTab.Name = "SatellitesTab";
            this.SatellitesTab.Size = new System.Drawing.Size(240, 249);
            this.SatellitesTab.Text = "Satellites";
            // 
            // speedometer1
            // 
            this.speedometer1.CenterR = 0F;
            this.speedometer1.Height = 111;
            this.speedometer1.IsUnitLabelVisible = true;
            this.speedometer1.Location = new System.Drawing.Point(7, 124);
            this.speedometer1.MajorTickColor = System.Drawing.Color.Black;
            this.speedometer1.MaximumR = 100F;
            this.speedometer1.MinorTickColor = System.Drawing.Color.Black;
            this.speedometer1.Name = "speedometer1";
            this.speedometer1.NeedleFillColor = System.Drawing.Color.Red;
            this.speedometer1.NeedleOutlineColor = System.Drawing.Color.Black;
            this.speedometer1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise;
            this.speedometer1.Size = new System.Drawing.Size(111, 111);
            this.speedometer1.SpeedLabelColor = System.Drawing.Color.Black;
            this.speedometer1.SpeedLabelFont = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Regular);
            this.speedometer1.TabIndex = 4;
            this.speedometer1.Text = "speedometer1";
            this.speedometer1.Width = 111;
            // 
            // altimeter1
            // 
            this.altimeter1.AltitudeLabelColor = System.Drawing.Color.Black;
            this.altimeter1.AltitudeLabelFont = new System.Drawing.Font("Tahoma", 8F, System.Drawing.FontStyle.Bold);
            this.altimeter1.CenterR = 0F;
            this.altimeter1.Height = 111;
            this.altimeter1.HundredsNeedleFillColor = System.Drawing.Color.Red;
            this.altimeter1.HundredsNeedleOutlineColor = System.Drawing.Color.Black;
            this.altimeter1.Location = new System.Drawing.Point(124, 7);
            this.altimeter1.MajorTickColor = System.Drawing.Color.Black;
            this.altimeter1.MaximumR = 100F;
            this.altimeter1.MinorTickColor = System.Drawing.Color.Black;
            this.altimeter1.Name = "altimeter1";
            this.altimeter1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise;
            this.altimeter1.Size = new System.Drawing.Size(111, 111);
            this.altimeter1.TabIndex = 3;
            this.altimeter1.TensOfThousandsNeedleFillColor = System.Drawing.Color.Red;
            this.altimeter1.TensOfThousandsNeedleOutlineColor = System.Drawing.Color.Black;
            this.altimeter1.Text = "altimeter1";
            this.altimeter1.ThousandsNeedleFillColor = System.Drawing.Color.Red;
            this.altimeter1.ThousandsNeedleOutlineColor = System.Drawing.Color.Black;
            this.altimeter1.ValueColor = System.Drawing.Color.Black;
            this.altimeter1.ValueFont = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular);
            this.altimeter1.Width = 111;
            // 
            // compass1
            // 
            this.compass1.AngleLabelColor = System.Drawing.Color.Black;
            this.compass1.AngleLabelFont = new System.Drawing.Font("Tahoma", 6F, System.Drawing.FontStyle.Regular);
            this.compass1.CenterR = 0F;
            this.compass1.DirectionLabelColor = System.Drawing.Color.Black;
            this.compass1.DirectionLabelFont = new System.Drawing.Font("Tahoma", 8F, System.Drawing.FontStyle.Bold);
            this.compass1.DirectionTickColor = System.Drawing.Color.Black;
            this.compass1.Height = 111;
            this.compass1.Location = new System.Drawing.Point(7, 7);
            this.compass1.MajorTickColor = System.Drawing.Color.Black;
            this.compass1.MaximumR = 100F;
            this.compass1.MinorTickColor = System.Drawing.Color.Black;
            this.compass1.Name = "compass1";
            this.compass1.NorthNeedleFillColor = System.Drawing.Color.Red;
            this.compass1.NorthNeedleOutlineColor = System.Drawing.Color.Black;
            this.compass1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise;
            this.compass1.Size = new System.Drawing.Size(111, 111);
            this.compass1.SouthNeedleFillColor = System.Drawing.Color.White;
            this.compass1.SouthNeedleOutlineColor = System.Drawing.Color.Black;
            this.compass1.TabIndex = 2;
            this.compass1.Text = "compass1";
            this.compass1.Width = 111;
            // 
            // satelliteSignalBar1
            // 
            this.satelliteSignalBar1.ExcellentSignalFillColor = System.Drawing.Color.LightGreen;
            this.satelliteSignalBar1.ExcellentSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteSignalBar1.FixColor = System.Drawing.Color.LimeGreen;
            this.satelliteSignalBar1.GoodSignalFillColor = System.Drawing.Color.Green;
            this.satelliteSignalBar1.GoodSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteSignalBar1.Height = 33;
            this.satelliteSignalBar1.Location = new System.Drawing.Point(122, 214);
            this.satelliteSignalBar1.ModerateSignalFillColor = System.Drawing.Color.Orange;
            this.satelliteSignalBar1.ModerateSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteSignalBar1.Name = "satelliteSignalBar1";
            this.satelliteSignalBar1.NoSignalFillColor = System.Drawing.Color.Transparent;
            this.satelliteSignalBar1.NoSignalOutlineColor = System.Drawing.Color.Transparent;
            this.satelliteSignalBar1.PoorSignalFillColor = System.Drawing.Color.Red;
            this.satelliteSignalBar1.PoorSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteSignalBar1.PseudorandomNumberColor = System.Drawing.Color.Black;
            this.satelliteSignalBar1.PseudorandomNumberFont = new System.Drawing.Font("Tahoma", 8F, System.Drawing.FontStyle.Regular);
            this.satelliteSignalBar1.SignalStrengthLabelColor = System.Drawing.Color.Black;
            this.satelliteSignalBar1.SignalStrengthLabelFont = new System.Drawing.Font("Tahoma", 6F, System.Drawing.FontStyle.Regular);
            this.satelliteSignalBar1.Size = new System.Drawing.Size(113, 33);
            this.satelliteSignalBar1.TabIndex = 0;
            this.satelliteSignalBar1.Text = "satelliteSignalBar1";
            this.satelliteSignalBar1.Width = 113;
            // 
            // satelliteViewer1
            // 
            this.satelliteViewer1.CenterR = 0F;
            this.satelliteViewer1.DirectionLabelColor = System.Drawing.Color.Black;
            this.satelliteViewer1.DirectionLabelFont = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Regular);
            this.satelliteViewer1.ExcellentSignalFillColor = System.Drawing.Color.LightGreen;
            this.satelliteViewer1.ExcellentSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteViewer1.FixColor = System.Drawing.Color.LimeGreen;
            this.satelliteViewer1.GoodSignalFillColor = System.Drawing.Color.Green;
            this.satelliteViewer1.GoodSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteViewer1.Height = 91;
            this.satelliteViewer1.IsUpperLeftCornerAdjusted = false;
            this.satelliteViewer1.Location = new System.Drawing.Point(122, 124);
            this.satelliteViewer1.MajorTickColor = System.Drawing.Color.Black;
            this.satelliteViewer1.MaximumR = 90F;
            this.satelliteViewer1.MinorTickColor = System.Drawing.Color.Black;
            this.satelliteViewer1.ModerateSignalFillColor = System.Drawing.Color.Orange;
            this.satelliteViewer1.ModerateSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteViewer1.Name = "satelliteViewer1";
            this.satelliteViewer1.NoSignalFillColor = System.Drawing.Color.Transparent;
            this.satelliteViewer1.NoSignalOutlineColor = System.Drawing.Color.Transparent;
            this.satelliteViewer1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise;
            this.satelliteViewer1.PoorSignalFillColor = System.Drawing.Color.Red;
            this.satelliteViewer1.PoorSignalOutlineColor = System.Drawing.Color.Black;
            this.satelliteViewer1.PseudorandomNumberColor = System.Drawing.Color.Black;
            this.satelliteViewer1.PseudorandomNumberFont = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold);
            this.satelliteViewer1.RotationOrientation = GeoFramework.Controls.RotationOrientation.TrackUp;
            this.satelliteViewer1.Size = new System.Drawing.Size(113, 91);
            this.satelliteViewer1.TabIndex = 1;
            this.satelliteViewer1.Text = "satelliteViewer1";
            this.satelliteViewer1.Width = 113;
            // 
            // PrecisionTab
            // 
            this.PrecisionTab.Controls.Add(this.VdopStatusLabel);
            this.PrecisionTab.Controls.Add(this.HdopStatusLabel);
            this.PrecisionTab.Controls.Add(this.label1);
            this.PrecisionTab.Controls.Add(this.label2);
            this.PrecisionTab.Controls.Add(this.label3);
            this.PrecisionTab.Controls.Add(this.CurrentVdopTrackBar);
            this.PrecisionTab.Controls.Add(this.label4);
            this.PrecisionTab.Controls.Add(this.label5);
            this.PrecisionTab.Controls.Add(this.label6);
            this.PrecisionTab.Controls.Add(this.CurrentHdopTrackBar);
            this.PrecisionTab.Controls.Add(this.DescriptionLabel);
            this.PrecisionTab.Controls.Add(this.MaximumVdopLabel);
            this.PrecisionTab.Controls.Add(this.MinimumVdopLabel);
            this.PrecisionTab.Controls.Add(this.VdopLabel);
            this.PrecisionTab.Controls.Add(this.MaximumVdopTrackBar);
            this.PrecisionTab.Controls.Add(this.MaximumHdopLabel);
            this.PrecisionTab.Controls.Add(this.MinimumHdopLabel);
            this.PrecisionTab.Controls.Add(this.HdopLabel);
            this.PrecisionTab.Controls.Add(this.MaximumHdopTrackBar);
            this.PrecisionTab.Location = new System.Drawing.Point(0, 0);
            this.PrecisionTab.Name = "PrecisionTab";
            this.PrecisionTab.Size = new System.Drawing.Size(232, 246);
            this.PrecisionTab.Text = "Precision";
            // 
            // VdopStatusLabel
            // 
            this.VdopStatusLabel.Location = new System.Drawing.Point(8, 207);
            this.VdopStatusLabel.Name = "VdopStatusLabel";
            this.VdopStatusLabel.Size = new System.Drawing.Size(226, 20);
            this.VdopStatusLabel.Text = "Altitude readings are being ignored.";
            // 
            // HdopStatusLabel
            // 
            this.HdopStatusLabel.Location = new System.Drawing.Point(7, 187);
            this.HdopStatusLabel.Name = "HdopStatusLabel";
            this.HdopStatusLabel.Size = new System.Drawing.Size(226, 20);
            this.HdopStatusLabel.Text = "Position readings are being ignored.";
            // 
            // label1
            // 
            this.label1.Location = new System.Drawing.Point(201, 163);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(23, 20);
            this.label1.Text = "50";
            this.label1.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // label2
            // 
            this.label2.Location = new System.Drawing.Point(123, 163);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(23, 20);
            this.label2.Text = "1";
            this.label2.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // label3
            // 
            this.label3.Location = new System.Drawing.Point(123, 119);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(101, 20);
            this.label3.Text = "Current VDOP:";
            // 
            // CurrentVdopTrackBar
            // 
            this.CurrentVdopTrackBar.Enabled = false;
            this.CurrentVdopTrackBar.Location = new System.Drawing.Point(123, 133);
            this.CurrentVdopTrackBar.Maximum = 50;
            this.CurrentVdopTrackBar.Name = "CurrentVdopTrackBar";
            this.CurrentVdopTrackBar.Size = new System.Drawing.Size(100, 45);
            this.CurrentVdopTrackBar.SmallChange = 5;
            this.CurrentVdopTrackBar.TabIndex = 5;
            this.CurrentVdopTrackBar.TickFrequency = 5;
            this.CurrentVdopTrackBar.Value = 50;
            // 
            // label4
            // 
            this.label4.Location = new System.Drawing.Point(85, 163);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(23, 20);
            this.label4.Text = "50";
            this.label4.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // label5
            // 
            this.label5.Location = new System.Drawing.Point(7, 163);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(23, 20);
            this.label5.Text = "1";
            this.label5.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // label6
            // 
            this.label6.Location = new System.Drawing.Point(7, 119);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(101, 20);
            this.label6.Text = "Current HDOP:";
            // 
            // CurrentHdopTrackBar
            // 
            this.CurrentHdopTrackBar.Enabled = false;
            this.CurrentHdopTrackBar.Location = new System.Drawing.Point(7, 133);
            this.CurrentHdopTrackBar.Maximum = 50;
            this.CurrentHdopTrackBar.Name = "CurrentHdopTrackBar";
            this.CurrentHdopTrackBar.Size = new System.Drawing.Size(100, 45);
            this.CurrentHdopTrackBar.SmallChange = 5;
            this.CurrentHdopTrackBar.TabIndex = 9;
            this.CurrentHdopTrackBar.TickFrequency = 5;
            this.CurrentHdopTrackBar.Value = 50;
            // 
            // DescriptionLabel
            // 
            this.DescriptionLabel.Location = new System.Drawing.Point(9, 4);
            this.DescriptionLabel.Name = "DescriptionLabel";
            this.DescriptionLabel.Size = new System.Drawing.Size(216, 33);
            this.DescriptionLabel.Text = "Adjust the sliders to enforce higher or lower precision.  ";
            // 
            // MaximumVdopLabel
            // 
            this.MaximumVdopLabel.Location = new System.Drawing.Point(201, 86);
            this.MaximumVdopLabel.Name = "MaximumVdopLabel";
            this.MaximumVdopLabel.Size = new System.Drawing.Size(23, 20);
            this.MaximumVdopLabel.Text = "50";
            this.MaximumVdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // MinimumVdopLabel
            // 
            this.MinimumVdopLabel.Location = new System.Drawing.Point(123, 86);
            this.MinimumVdopLabel.Name = "MinimumVdopLabel";
            this.MinimumVdopLabel.Size = new System.Drawing.Size(23, 20);
            this.MinimumVdopLabel.Text = "1";
            this.MinimumVdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // VdopLabel
            // 
            this.VdopLabel.Location = new System.Drawing.Point(123, 42);
            this.VdopLabel.Name = "VdopLabel";
            this.VdopLabel.Size = new System.Drawing.Size(101, 20);
            this.VdopLabel.Text = "Maximum VDOP:";
            // 
            // MaximumVdopTrackBar
            // 
            this.MaximumVdopTrackBar.Location = new System.Drawing.Point(123, 56);
            this.MaximumVdopTrackBar.Maximum = 50;
            this.MaximumVdopTrackBar.Name = "MaximumVdopTrackBar";
            this.MaximumVdopTrackBar.Size = new System.Drawing.Size(100, 45);
            this.MaximumVdopTrackBar.SmallChange = 5;
            this.MaximumVdopTrackBar.TabIndex = 14;
            this.MaximumVdopTrackBar.TickFrequency = 5;
            this.MaximumVdopTrackBar.Value = 50;
            this.MaximumVdopTrackBar.ValueChanged += new System.EventHandler(this.MaximumVdopTrackBar_ValueChanged);
            // 
            // MaximumHdopLabel
            // 
            this.MaximumHdopLabel.Location = new System.Drawing.Point(85, 86);
            this.MaximumHdopLabel.Name = "MaximumHdopLabel";
            this.MaximumHdopLabel.Size = new System.Drawing.Size(23, 20);
            this.MaximumHdopLabel.Text = "50";
            this.MaximumHdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // MinimumHdopLabel
            // 
            this.MinimumHdopLabel.Location = new System.Drawing.Point(7, 86);
            this.MinimumHdopLabel.Name = "MinimumHdopLabel";
            this.MinimumHdopLabel.Size = new System.Drawing.Size(23, 20);
            this.MinimumHdopLabel.Text = "1";
            this.MinimumHdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // HdopLabel
            // 
            this.HdopLabel.Location = new System.Drawing.Point(7, 42);
            this.HdopLabel.Name = "HdopLabel";
            this.HdopLabel.Size = new System.Drawing.Size(101, 20);
            this.HdopLabel.Text = "Maximum HDOP:";
            // 
            // MaximumHdopTrackBar
            // 
            this.MaximumHdopTrackBar.Location = new System.Drawing.Point(7, 56);
            this.MaximumHdopTrackBar.Maximum = 50;
            this.MaximumHdopTrackBar.Name = "MaximumHdopTrackBar";
            this.MaximumHdopTrackBar.Size = new System.Drawing.Size(100, 45);
            this.MaximumHdopTrackBar.SmallChange = 5;
            this.MaximumHdopTrackBar.TabIndex = 18;
            this.MaximumHdopTrackBar.TickFrequency = 5;
            this.MaximumHdopTrackBar.Value = 50;
            this.MaximumHdopTrackBar.ValueChanged += new System.EventHandler(this.MaximumHdopTrackBar_ValueChanged);
            // 
            // StatusBar1
            // 
            this.StatusBar1.Location = new System.Drawing.Point(0, 272);
            this.StatusBar1.Name = "StatusBar1";
            this.StatusBar1.Size = new System.Drawing.Size(240, 22);
            this.StatusBar1.Text = "Ready.";
            // 
            // LocalTimeTimer
            // 
            this.LocalTimeTimer.Enabled = true;
            this.LocalTimeTimer.Interval = 500;
            this.LocalTimeTimer.Tick += new System.EventHandler(this.LocalTimeTimer_Tick);
            // 
            // Interpreter
            // 
            this.Interpreter.IsFixRequired = false;
            this.Interpreter.MaximumReconnectionAttempts = -1;
            this.Interpreter.ReadTimeout = System.TimeSpan.Parse("00:00:05");
            this.Interpreter.WriteTimeout = System.TimeSpan.Parse("00:00:05");
            this.Interpreter.Disconnected += new System.EventHandler(this.Interpreter_Disconnected);
            this.Interpreter.Connecting += new GeoFramework.CancelableEventHandler(this.Interpreter_Connecting);
            this.Interpreter.AltitudeChanged += new GeoFramework.DistanceEventHandler(this.Interpreter_AltitudeChanged);
            this.Interpreter.FixLost += new System.EventHandler(this.Interpreter_FixLost);
            this.Interpreter.BearingChanged += new GeoFramework.AzimuthEventHandler(this.Interpreter_BearingChanged);
            this.Interpreter.DeviceSuspended += new System.EventHandler(this.Interpreter_DeviceSuspended);
            this.Interpreter.SpeedChanged += new GeoFramework.SpeedEventHandler(this.Interpreter_SpeedChanged);
            this.Interpreter.VerticalDilutionOfPrecisionChanged += new GeoFramework.Gps.DilutionOfPrecisionEventHandler(this.Interpreter_VerticalDilutionOfPrecisionChanged);
            this.Interpreter.Disconnecting += new System.EventHandler(this.Interpreter_Disconnecting);
            this.Interpreter.FixObtained += new System.EventHandler(this.Interpreter_FixObtained);
            this.Interpreter.FixModeChanged += new GeoFramework.Gps.FixModeEventHandler(this.Interpreter_FixModeChanged);
            this.Interpreter.HorizontalDilutionOfPrecisionChanged += new GeoFramework.Gps.DilutionOfPrecisionEventHandler(this.Interpreter_HorizontalDilutionOfPrecisionChanged);
            this.Interpreter.Connected += new System.EventHandler(this.Interpreter_Connected);
            this.Interpreter.DeviceResumed += new System.EventHandler(this.Interpreter_DeviceResumed);
            this.Interpreter.PositionChanged += new GeoFramework.PositionEventHandler(this.Interpreter_PositionChanged);
            this.Interpreter.TimeoutOccurred += new GeoFramework.ExceptionEventHandler(this.Interpreter_TimeoutOccurred);
            this.Interpreter.SentenceReceived += new GeoFramework.Gps.Nmea.NmeaSentenceEventHandler(this.Interpreter_SentenceReceived);
            this.Interpreter.UtcDateTimeChanged += new GeoFramework.DateTimeEventHandler(this.Interpreter_UtcDateTimeChanged);
            this.Interpreter.FixQualityChanged += new GeoFramework.Gps.FixQualityEventHandler(this.Interpreter_FixQualityChanged);
            // 
            // Form1
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
            this.ClientSize = new System.Drawing.Size(240, 294);
            this.Controls.Add(this.tabControl1);
            this.Controls.Add(this.StatusBar1);
            this.KeyPreview = true;
            this.MinimizeBox = false;
            this.Name = "Form1";
            this.Text = "GPS.NET Example";
            this.Closed += new System.EventHandler(this.Form1_Closed);
            this.tabControl1.ResumeLayout(false);
            this.DevicesTab.ResumeLayout(false);
            this.LocationTab.ResumeLayout(false);
            this.SatellitesTab.ResumeLayout(false);
            this.PrecisionTab.ResumeLayout(false);
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.TabControl tabControl1;
        private System.Windows.Forms.TabPage LocationTab;
        private System.Windows.Forms.TabPage SatellitesTab;
        private System.Windows.Forms.TabPage PrecisionTab;
        private System.Windows.Forms.Label LatitudeLabel;
        private System.Windows.Forms.Label LongitudeLabel;
        private System.Windows.Forms.Label AltitudeLabel;
        private System.Windows.Forms.Label FixModeLabel;
        private System.Windows.Forms.Label FixStatusLabel;
        private System.Windows.Forms.Label SpeedLabel;
        private System.Windows.Forms.Label Latitude;
        private System.Windows.Forms.Label Longitude;
        private System.Windows.Forms.Label Altitude;
        private System.Windows.Forms.Label Speed;
        private System.Windows.Forms.Label FixStatus;
        private System.Windows.Forms.TabPage DevicesTab;
        private System.Windows.Forms.ListView DevicesListView;
        private System.Windows.Forms.StatusBar StatusBar1;
        private System.Windows.Forms.ColumnHeader DeviceColumn;
        private System.Windows.Forms.ColumnHeader ProtocolColumn;
        private System.Windows.Forms.ColumnHeader LocationColumn;
        private System.Windows.Forms.RadioButton UseDeviceRadioButton;
        private System.Windows.Forms.RadioButton UseEmulatorRadioButton;
        private System.Windows.Forms.Label Bearing;
        private System.Windows.Forms.Label BearingLabel;
        private System.Windows.Forms.Label FixMode;
        private System.Windows.Forms.Label FixQuality;
        private System.Windows.Forms.Label FixQualityLabel;
        private System.Windows.Forms.Label DirectionLabel;
        private System.Windows.Forms.Label Direction;
        private System.Windows.Forms.Label SatelliteTimeLabel;
        private System.Windows.Forms.Label SatelliteTime;
        private System.Windows.Forms.Timer LocalTimeTimer;
        private System.Windows.Forms.Label LocalTime;
        private System.Windows.Forms.Label LocalTimeLabel;
        private System.Windows.Forms.Label HdopLabel;
        private System.Windows.Forms.TrackBar MaximumHdopTrackBar;
        private System.Windows.Forms.Label MaximumHdopLabel;
        private System.Windows.Forms.Label MinimumHdopLabel;
        private System.Windows.Forms.Label MaximumVdopLabel;
        private System.Windows.Forms.Label MinimumVdopLabel;
        private System.Windows.Forms.Label VdopLabel;
        private System.Windows.Forms.TrackBar MaximumVdopTrackBar;
        private System.Windows.Forms.Label DescriptionLabel;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.TrackBar CurrentVdopTrackBar;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.Label label6;
        private System.Windows.Forms.TrackBar CurrentHdopTrackBar;
        private System.Windows.Forms.Label HdopStatusLabel;
        private System.Windows.Forms.Label VdopStatusLabel;
        private System.Windows.Forms.Button SearchButton;
        private System.Windows.Forms.ImageList DeviceImages;
        private GeoFramework.Controls.Speedometer speedometer1;
        private GeoFramework.Controls.Altimeter altimeter1;
        private GeoFramework.Controls.Compass compass1;
        private GeoFramework.Controls.SatelliteSignalBar satelliteSignalBar1;
        private GeoFramework.Controls.SatelliteViewer satelliteViewer1;
        private System.Windows.Forms.Button StopButton;
        private System.Windows.Forms.Button StartButton;
        private System.Windows.Forms.ListBox RawDataListBox;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.RadioButton UseAnyAvailableDeviceRadioButton;
        private GeoFramework.Gps.Nmea.NmeaInterpreter Interpreter;
    }
}

