using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GeoFramework.Examples
{
    public partial class CalculateBearingForm : Form
    {
        private Position NewYork = new Position("4047N 7358W");
        private Position London = new Position("5132N 5W");
        private Position Sydney = new Position("340S 151E");

        public CalculateBearingForm()
        {
            InitializeComponent();

            // Start collecting the current location
            GpsDevice.Start();

            // Set default Start and Destination locations
            StartPositionTextBox.Text = NewYork.ToString();
            DestinationPositionTextBox.Text = London.ToString();
            Recalculate();

        }

        #region Radio Button Code

        private void StartPosition1_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the start position to New York City, New York
            StartPositionTextBox.Text = NewYork.ToString();
            Recalculate();
        }

        private void StartPosition2_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the start position to London, England
            StartPositionTextBox.Text = London.ToString();
            Recalculate();
        }

        private void StartPosition3_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the start position to Sydney, Australia
            StartPositionTextBox.Text = Sydney.ToString();
            Recalculate();
        }

        private void StartPosition4_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the start position to the current position
            StartPositionTextBox.Text = GpsDevice.Position.ToString();
            Recalculate();
        }

        private void DestinationPosition1_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the start position to New York City, New York, USA
            DestinationPositionTextBox.Text = NewYork.ToString();
            Recalculate();
        }

        private void DestinationPosition2_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the start position to London, England
            DestinationPositionTextBox.Text = London.ToString();
            Recalculate();
        }

        private void DestinationPosition3_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the destination position to Sydney, Australia
            DestinationPositionTextBox.Text = Sydney.ToString();
            Recalculate();
        }

        private void DestinationPosition4_CheckedChanged(object sender, System.EventArgs e)
        {
            // Set the start position to the current position
            DestinationPositionTextBox.Text = GpsDevice.Position.ToString();
            Recalculate();
        }

        #endregion

        private void Recalculate()
        {
            try
            {
                // Convert the string values into position objects
                Position Start = Position.Parse(StartPositionTextBox.Text);
                Position Destination = Position.Parse(DestinationPositionTextBox.Text);
                // And set the compass to the bearing 
                Compass.Value = Start.BearingTo(Destination);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }
    }
}