Imports GeoFramework

Public Class CalculateBearingForm

    Private NewYork As New Position("4047N 7358W")
    Private London As New Position("5132N 5W")
    Private Sydney As New Position("340S 151E")

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Start collecting the current location
        GpsDevice.Start()

        ' Set default Start and Destination locations
        StartPositionTextBox.Text = NewYork.ToString()
        DestinationPositionTextBox.Text = London.ToString()
        Recalculate()

    End Sub

    Private Sub StartPosition1_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition1.CheckedChanged
        ' Set the start position to New York City, New York
        StartPositionTextBox.Text = NewYork.ToString()
        Recalculate()
    End Sub

    Private Sub StartPosition2_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition2.CheckedChanged
        ' Set the start position to London, England
        StartPositionTextBox.Text = London.ToString()
        Recalculate()
    End Sub

    Private Sub StartPosition3_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition3.CheckedChanged
        ' Set the start position to Sydney, Egypt
        StartPositionTextBox.Text = Sydney.ToString()
        Recalculate()
    End Sub

    Private Sub StartPosition4_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition4.CheckedChanged
        ' Set the start position to the current position
        StartPositionTextBox.Text = GpsDevice.Position.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition1_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition1.CheckedChanged
        ' Set the start position to New York City, New York, USA
        DestinationPositionTextBox.Text = NewYork.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition2_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition2.CheckedChanged
        ' Set the start position to London, England
        DestinationPositionTextBox.Text = London.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition3_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition3.CheckedChanged
        ' Set the destination position to Sydney, Egypt
        DestinationPositionTextBox.Text = Sydney.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition4_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition4.CheckedChanged
        ' Set the start position to the current position
        DestinationPositionTextBox.Text = GpsDevice.Position.ToString()
        Recalculate()
    End Sub

    Private Sub Recalculate()
        Try
            If StartPositionTextBox.Text = "" Then Exit Sub
            If DestinationPositionTextBox.Text = "" Then Exit Sub
            ' Convert the string values into position objects
            Dim Start As Position = Position.Parse(StartPositionTextBox.Text)
            Dim Destination As Position = Position.Parse(DestinationPositionTextBox.Text)
            ' And set the compass to the bearing 
            Compass.Value = Start.BearingTo(Destination)
        Catch ex As Exception
            MessageBox.Show(ex.ToString())
        End Try
    End Sub
End Class