Imports GeoFramework

Public Class CalculateDistanceForm
    Private NewYork As New Position("4047N 7358W")
    Private London As New Position("5132N 5W")
    Private Sydney As New Position("340S 151E")

    Private Sub StartPosition1_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition1.CheckedChanged
        ' Set the start position to New York City, New York
        StartPositionTextBox.Text = NewYork.ToString()
        Recalculate()
    End Sub

    Private Sub StartPosition2_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition2.CheckedChanged
        ' Set the start position to London, England
        StartPositionTextBox.Text = London.ToString()
        Recalculate()
    End Sub

    Private Sub StartPosition3_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition3.CheckedChanged
        ' Set the start position to Sydney, Australia
        StartPositionTextBox.Text = Sydney.ToString()
        Recalculate()
    End Sub

    Private Sub StartPosition4_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles StartPosition4.CheckedChanged
        ' Set the start position to the current position
        StartPositionTextBox.Text = GpsDevice.Position.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition1_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition1.CheckedChanged
        ' Set the start position to New York City, New York, USA
        DestinationPositionTextBox.Text = NewYork.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition2_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition2.CheckedChanged
        ' Set the start position to London, England
        DestinationPositionTextBox.Text = London.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition3_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition3.CheckedChanged
        ' Set the destination position to Sydney, Australia
        DestinationPositionTextBox.Text = Sydney.ToString()
        Recalculate()
    End Sub

    Private Sub DestinationPosition4_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles DestinationPosition4.CheckedChanged
        ' Set the start position to the current position
        DestinationPositionTextBox.Text = GpsDevice.Position.ToString()
        Recalculate()
    End Sub

    Private Sub Recalculate()
        Try
            If StartPositionTextBox.Text = "" Then Exit Sub
            If DestinationPositionTextBox.Text = "" Then Exit Sub
            ' Convert the string values into position objects
            Dim Start As Position = Position.Parse(StartPositionTextBox.Text)
            Dim Destination As Position = Position.Parse(DestinationPositionTextBox.Text)

            ' Calculate the distance
            Dim Result As Distance = Start.DistanceTo(Destination)

            ' Now format it depending on the radio buttons
            If (AutomaticRadioButton.Checked) Then
                ' Convert to the smallest unit in the computer's local culture
                Result = Result.ToLocalUnitType()
            ElseIf (InchesRadioButton.Checked) Then
                ' Convert to inches
                Result = Result.ToInches()
            ElseIf (FeetRadioButton.Checked) Then
                ' Convert to feet
                Result = Result.ToFeet()
            ElseIf (StatuteMilesRadioButton.Checked) Then
                ' Convert to statute miles
                Result = Result.ToStatuteMiles()
            ElseIf (CentimetersRadioButton.Checked) Then
                ' Convert to centimeters
                Result = Result.ToCentimeters()
            ElseIf (MetersRadioButton.Checked) Then
                ' Convert to meters
                Result = Result.ToMeters()
            ElseIf (KilometersRadioButton.Checked) Then
                ' Convert to kilometers
                Result = Result.ToKilometers()
            ElseIf (NauticalMilesRadioButton.Checked) Then
                ' Convert to nautical miles
                Result = Result.ToNauticalMiles()
            End If
            ' Finally, output as a string
            AnswerLabel.Text = Result.ToString()
        Catch ex As FormatException
            MessageBox.Show(ex.ToString())
        End Try
    End Sub

    Private Sub RecalculateDistance(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) _
        Handles StartPositionTextBox.Validating, DestinationPositionTextBox.Validating
        Recalculate()
    End Sub

    Private Sub RecalculateDistance(ByVal sender As Object, ByVal e As EventArgs) _
        Handles InchesRadioButton.CheckedChanged, CentimetersRadioButton.CheckedChanged, FeetRadioButton.CheckedChanged, _
        KilometersRadioButton.CheckedChanged, MetersRadioButton.CheckedChanged, NauticalMilesRadioButton.CheckedChanged
        Recalculate()
    End Sub
End Class