using System;
using System.Net;
using System.Net.Sockets;
using System.Runtime.InteropServices;

namespace GeoFramework.IO.Bluetooth
{
	/// <summary>
	/// Implements the <see cref="Socket"/> for the Bluetooth address family.
	/// </summary>
	public sealed class BluetoothSocket : Socket
	{
		/// <summary>
		/// Creates a new <see cref="Socket"/> for the Bluetooth address family.
		/// </summary>
		public BluetoothSocket() : base((AddressFamily)BluetoothAddressFamily.Bluetooth, SocketType.Stream, (ProtocolType)BluetoothProtocolType.RFComm){}
			
	}
}
