using System;

namespace GeoFramework.IO.Bluetooth
{
	/// <summary>
	/// Specifies the current status of the Bluetooth hardware.
	/// </summary>
	internal enum HardwareStatus : int
	{
		/// <summary>
		/// Status cannot be determined.
		/// </summary>
		Unknown			= 0,
		/// <summary>
		/// Bluetooth radio not present.
		/// </summary>
		NotPresent		= 1,
		/// <summary>
		/// Bluetooth radio is in the process of starting up.
		/// </summary>
		Initializing	= 2,
		/// <summary>
		/// Bluetooth radio is active.
		/// </summary>
		Running			= 3,
		/// <summary>
		/// Bluetooth radio is in the process of shutting down.
		/// </summary>
		Shutdown		= 4,
		/// <summary>
		/// Bluetooth radio is in an error state.
		/// </summary>
		Error			= 5,
	}
}
