using System;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;
using System.Security.Permissions;
using System.Resources;
#if !PocketPC && Framework20
using System.Runtime.ConstrainedExecution;
#endif

/* These assembly attributes will be the same regardless of the product. */
[assembly: CLSCompliant(false)]
[assembly: ComVisible(false)]
[assembly: AssemblyCompany("GeoFrameworks, LLC")]
[assembly: AssemblyCopyright("Copyright 2003-2008  GeoFrameworks, LLC")]
[assembly: AssemblyTrademark("GeoFramework, GPS.NET and GIS.NET are registered trademarks of GeoFrameworks, LLC")]

#if DesignTime
/* Design-Time assemblies reside only no the developer's machine and never need to 
 * be distributed.  They provide Windows Forms Designer support only.
 */
[assembly: AssemblyProduct("GPS.NET Windows Forms Designer support for Visual Studio.NET")]
#else
/* These attributes will change for each assembly. */
[assembly: AssemblyProduct("Global Positioning System support for Visual Studio.NET")]
#endif

/* The version of the assembly depends on the framework version.  Design-Time assemblies
 * have no revision number because that would require much code change for each release.
 * We only care about the major version number and VS version numbers. */
#if DesignTime
    #if Framework30
    // .NET Framework 3.5
    [assembly: AssemblyVersion("2.0.0.0")]
	[assembly: AssemblyDescription("This assembly provides Windows Forms Designer support for Visual Studio 2008.  It is for development only and is not necessary for redistribution.")]
    #elif Framework20
    // .NET Framework 2.0
    [assembly: AssemblyVersion("2.0.0.0")]
    [assembly: AssemblyDescription("This assembly provides Windows Forms Designer support for Visual Studio 2005.  It is for development only and is not necessary for redistribution.")]
    #elif Framework10
    // .NET Framework 1.0
    [assembly: AssemblyVersion("2.0.0.0")]
	[assembly: AssemblyDescription("This assembly provides Windows Forms Designer support for Visual Studio.NET 2002.  It is for development only and is not necessary for redistribution.")]
    #else
    // .NET Framework 1.1
    [assembly: AssemblyVersion("2.0.0.0")]
	[assembly: AssemblyDescription("This assembly provides Windows Forms Designer support for Visual Studio.NET 2003.  It is for development only and is not necessary for redistribution.")]
    #endif
#else
#if Framework30
    // .NET Framework 3.5
    [assembly: AssemblyVersion("2.3.20.0")]
	[assembly: AssemblyDescription("This assembly allows Visual Studio 2008 applications to utilize the Global Positioning System")]
#elif Framework20
    // .NET Framework 2.0
    [assembly: AssemblyVersion("2.3.20.0")]
	[assembly: AssemblyDescription("This assembly allows Visual Studio 2005 applications to utilize the Global Positioning System")]
#elif Framework10
    // .NET Framework 1.0
    [assembly: AssemblyVersion("2.3.20.0")]
	[assembly: AssemblyDescription("This assembly allows Visual Studio.NET 2002 applications to utilize the Global Positioning System")]
#else
    // .NET Framework 1.1
    [assembly: AssemblyVersion("2.3.20.0")]
	[assembly: AssemblyDescription("This assembly allows Visual Studio.NET 2003 applications to utilize the Global Positioning System")]
#endif
#endif
/* Compact Framework 1.0 requires that design-time assemblies contain a special assembly attribute to link them
 * up to the assemblies to use on the mobile device.
 */
#if DesignTime && !Framework20
    [assembly: System.CF.Design.RuntimeAssembly("GeoFramework.Gps.PocketPC, Version=2.3.20.0, Culture=neutral, PublicKeyToken=3ed3cdf4fdda3400")]
#endif

/* The title of the assembly varies depending on whether the assembly is for design-time use,
 * and whether the assembly targets a desktop or mobile device.
 */

#if DesignTime
	[assembly: AssemblyTitle("GeoFramework.Gps.PocketPC.Design")]
#elif PocketPC
    [assembly: AssemblyTitle("GeoFramework.Gps.PocketPC")]
#else
[assembly: AssemblyTitle("GeoFramework.Gps")]
#endif

/* Thisd assembly contains language-specific resources.  Help the CLR find them. */
#if Framework20 && !PocketPC
[assembly: NeutralResourcesLanguageAttribute("en-US", UltimateResourceFallbackLocation.MainAssembly)]
#else
[assembly: NeutralResourcesLanguageAttribute("en-US")]
#endif

/* The assembly configuration just explains what target platform this assembly is for.  This
 * will be used instead of version numbers from now on to indicate the target platform.
 */
#if PocketPC
#if Framework30
        [assembly: AssemblyConfiguration("Public Release for .NET Compact Framework 3.5")]
#elif Framework20
        [assembly: AssemblyConfiguration("Public Release for .NET Compact Framework 2.0")]
#else
	    [assembly: AssemblyConfiguration("Public Release for .NET Compact Framework 1.0")]
#endif
#else
#if Framework30
[assembly: AssemblyConfiguration("Public Release for .NET Framework 3.5")]
#elif Framework20
        [assembly: AssemblyConfiguration("Public Release for .NET Framework 2.0")]
#elif Framework10
        [assembly: AssemblyConfiguration("Public Release for .NET Framework 1.0")]
#else
        [assembly: AssemblyConfiguration("Public Release for .NET Framework 1.1")]
#endif
#endif

#if !PocketPC && (Framework20 || Framework30)
    // On the desktop .NET Framework, we can certify that this code has been debugged well
    // enough to be reliable in all production environments.  Some crazy manufacturers will
    // throw curve balls at this certification, sure, but we can at least certify this is
    // our best, exhaustive effort.
    [assembly: ReliabilityContract(Consistency.WillNotCorruptState, Cer.Success)]
#endif

/* There are security and performance benefits of explicitly declaring permissions required
 * by this assembly.  They are requested now and asserted explicitly to remove the need for
 * time-consuming or redundant security checks.
 */

#if !PocketPC || DesignTime
// Grant only the minimum security permissions
[assembly: SecurityPermission(SecurityAction.RequestMinimum)]
// Grant only the minimum required reflection permissions
[assembly: ReflectionPermission(SecurityAction.RequestMinimum)]
// We won't use file I/O, so we dfon't need it
[assembly: RegistryPermission(SecurityAction.RequestMinimum)]
// We won't use file I/O, so we dfon't need it
[assembly: FileIOPermission(SecurityAction.RequestRefuse)]
// We want only the minimum permissions necessary
[assembly: PermissionSet(SecurityAction.RequestMinimum, Unrestricted = false)]
// Allow partially-trusted callers to use this code (such as ASP.NET)
[assembly: AllowPartiallyTrustedCallers()]
#endif

/* Visual Studio.NET controls strong-naming assemblies via the project properties.  Earlier
 * versions require this path, however, to strong name the assembly.
 */
#if !Framework20
[assembly: AssemblyKeyFile(@"\GeoFrameworks.snk")]
#endif

/* Since we are obfuscating all production assemblies, strong name signing must be delayed
 * until after obfucation completes.  In debug mode, however, we need assemblies to be signed
 * immediately.
 */

#if (!DEBUG && Obfuscation)
[assembly: AssemblyDelaySign(true)]
#else
[assembly: AssemblyDelaySign(false)]
#endif
